- [HTTP request](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.entities/import.md.txt#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.entities/import.md.txt#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.entities/import.md.txt#body.request_body)
  - [JSON representation](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.entities/import.md.txt#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.entities/import.md.txt#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.entities/import.md.txt#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.entities/import.md.txt#body.aspect_1)
- [EntitiesInlineSource](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.entities/import.md.txt#EntitiesInlineSource)
  - [JSON representation](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.entities/import.md.txt#EntitiesInlineSource.SCHEMA_REPRESENTATION)

**Full name**: projects.locations.instances.entities.import

Imports entities. Note that all entities need to be valid for the request to be successful. An error in one entity will cause the entire request to be rejected. Setting `metadata.creation_timestamp` on an entity is not supported.

### HTTP request

`POST https://{endpoint}/v1alpha/{parent}/entities:import`

Where `{endpoint}` is one of the [supported service endpoints](https://docs.cloud.google.com/chronicle/docs/reference/rest.md.txt#rest_endpoints).

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The parent, which owns this collection of entities. |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { // The following is a list of mutually exclusive fields. At most one of the // fields will be set in a response: "inlineSource": { object (`EntitiesInlineSource`) } // End of mutually exclusive fields. } ``` |

| Fields ||
|---|---|
| The following is a list of mutually exclusive fields. At most one of the fields will be set in a response: ||
| `inlineSource` | ``object (`EntitiesInlineSource`)`` Required. Entities to be imported are specified inline. |
| End of mutually exclusive fields. ||

### Response body

If successful, the response body is empty.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/chronicle`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication.md.txt#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `parent` resource:

- `chronicle.entities.import`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).

## EntitiesInlineSource

An import source with the entities to import included inline.

| JSON representation |
|---|
| ``` { "entities": [ { object (`Entity`) } ], "logType": string } ``` |

| Fields ||
|---|---|
| `entities[]` | ``object (`Entity`)`` Required. Specifies the entities being imported. Setting `metadata.creation_timestamp` on an entity is not supported. |
| `logType` | `string` Required. The logtype of the log this entity is created from. |